Skip to main content

Revoke Roles

Using this API client and realm roles will be revoked from the user's.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/users/{userid}/role

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_user/{userid}/role
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required

Request body (Optional)​

Field NameTypeDescription
ClientRolesListConfigure the client roles for which the actions need to be performed by the user. Note: Using the composite role suffice in the request body, which gets all the sub roles available for it.
realmRolesListConfigure the realm roles for which the actions need to be performed by the user.
{
"clientRoles": {
"client_Name": ["client_role1", "client_role2", "client_role3", "client_role4"]
},
"realmRoles": ["realm_role1", "realm_role2"]
}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "User roles revoked successfully",
"status": "OK",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200OKUser roles revoked successfully
400BAD_REQUESTUserId should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist